image: makeorg/docker-sbt-coursier

stages:
  - build

build:
  stage: build
  before_script:
    - mkdir -p /var/lib/docker
    - mount -t tmpfs -o size=12G tmpfs /var/lib/docker
    - if [ ! -e /var/run/docker.sock ]; then DOCKER_DRIVER=overlay2 dockerd & fi
    - until docker ps; do echo "waiting for docker to be up..."; sleep 0.5; done
    - docker login "https://$NEXUS_URL" --username "$NEXUS_USER" --password "$NEXUS_PASSWORD"
    - echo "credentials += Credentials(\"Sonatype Nexus Repository Manager\", \"$NEXUS_URL\", \"$NEXUS_USER\", \"$NEXUS_PASSWORD\")" > /root/.sbt/1.0/credentials.sbt
    - export IMAGE_VERSION=`git rev-parse --short=10 HEAD`
  script:
    - sbt publishLocal
    - docker push $NEXUS_URL/kafka-topic-copier:$IMAGE_VERSION
    - docker push $NEXUS_URL/kafka-topic-copier:latest
